Package org.mariadb.jdbc.export

# Enum SslMode

java.lang.Object
java.lang.Enum<SslMode>
org.mariadb.jdbc.export.SslMode

All Implemented Interfaces:
  `Serializable`, `Comparable<SslMode>`, `java.lang.constant.Constable`

public enum SslMode extends Enum<SslMode>
SSl requirement

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DISABLE`
NO SSL
`TRUST`
Encryption only (no certificate and hostname validation) (DEVELOPMENT ONLY)
`VERIFY_CA`
Encryption, certificates validation, BUT no hostname verification
`VERIFY_FULL`
Standard SSL use: Encryption, certificate validation and hostname validation

## Method Summary

Modifier and Type
Method
Description
`static SslMode`
`from(String value)`
Create SSLMode from enumeration value, or aliases
`String`
`getValue()`
`static SslMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SslMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DISABLE

public static final SslMode DISABLE
NO SSL

### TRUST

public static final SslMode TRUST
Encryption only (no certificate and hostname validation) (DEVELOPMENT ONLY)

### VERIFY_CA

public static final SslMode VERIFY_CA
Encryption, certificates validation, BUT no hostname verification

### VERIFY_FULL

public static final SslMode VERIFY_FULL
Standard SSL use: Encryption, certificate validation and hostname validation

## Method Details

### values

public static SslMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SslMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public String getValue()

### from

public static SslMode from(String value)
Create SSLMode from enumeration value, or aliases

Parameters:
  `value` - enumeration value or alias
Returns:
  SSLMode if corresponding enumeration value or alias found